PhP 7.4 Update error

Issues related to applications and software problems
Post Reply
me2andyou
Posts: 2
Joined: 2020/10/31 11:35:55

PhP 7.4 Update error

Post by me2andyou » 2020/10/31 11:39:47

Hi, I have PHP 7.2 and I need to update it to version 7.4 but can't do that:
what i did:

Code: Select all

wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
wget https://rpms.remirepo.net/enterprise/remi-release-7.rpm
rpm -Uvh remi-release-7.rpm epel-release-latest-7.noarch.rpm
yum install yum-utils
yum-config-manager --enable remi-php74 
but after that:

Code: Select all

 yum update
I get this:

Code: Select all

Package php71w-common is obsoleted by php-common, but obsoleting package does not provide for requirements
--> Finished Dependency Resolution
Error: Package: composer-1.10.13-1.el7.noarch (epel)
           Requires: php-zip
           Removing: php72w-common-7.2.17-1.w7.x86_64 (@webtatic)
               php-zip
           Obsoleted By: php-common-7.4.12-1.el7.remi.x86_64 (remi-php74)
               Not found
           Updated By: php72w-common-7.2.34-1.w7.x86_64 (webtatic)
               php-zip
           Available: php-common-5.4.16-48.el7.x86_64 (base)
               php-zip
           Available: php-pecl-zip-1.19.0-1.el7.remi.7.4.x86_64 (remi-php74)
               php-zip = 1:1.19.0-1.el7.remi.7.4
           Available: php-pecl-zip-1.19.1-1.el7.remi.7.4.x86_64 (remi-php74)
               php-zip = 1:1.19.1-1.el7.remi.7.4
           Available: php55w-common-5.5.38-1.w7.x86_64 (webtatic)
               php-zip
           Available: php56w-common-5.6.40-1.w7.x86_64 (webtatic)
               php-zip
           Available: php70w-common-7.0.33-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.26-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.27-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.28-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.29-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.30-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.31-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.32-1.w7.x86_64 (webtatic)
               php-zip
           Available: php71w-common-7.1.33-1.w7.x86_64 (webtatic)
               php-zip
           Available: php72w-common-7.2.14-1.w7.x86_64 (webtatic)
               php-zip
           Available: php72w-common-7.2.16-1.w7.x86_64 (webtatic)
               php-zip
           Available: php-common-7.4.11-1.el7.remi.x86_64 (remi-php74)
               Not found

User avatar
remirepo
Posts: 408
Joined: 2014/09/21 09:07:12
Location: France
Contact:

Re: PhP 7.4 Update error

Post by remirepo » 2020/11/01 06:39:32

Better to ask on proper forum
https://forum.remirepo.net

BTW, disable webtatic (dead) repo first
Remi's Repository - Forum - Blog

me2andyou
Posts: 2
Joined: 2020/10/31 11:35:55

Re: PhP 7.4 Update error

Post by me2andyou » 2020/11/01 14:56:08

Thank you it worked!

Post Reply

Return to “CentOS 7 - Software Support”